Package net.snowflake.client.jdbc.telemetryOOB

## Class TelemetryThreadPool

- java.lang.Object
- - net.snowflake.client.jdbc.telemetryOOB.TelemetryThreadPool

    public class TelemetryThreadPool
    extends Object

A singleton class which wrapped the ExecutorService, which is used to submit telemetry data asynchronously to server

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `execute​(Runnable task)`
`static TelemetryThreadPool` `getInstance()`
`<T> Future<T>` `submit​(Callable<T> task)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static TelemetryThreadPool getInstance()

#### execute

    public void execute​(Runnable task)

#### submit

    public <T> Future<T> submit​(Callable<T> task)